"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var process_1 = require("./process");
describe("#process", function () {
    test("tokenizes strings into ProcessedWord/ProcessedCharacters", function () {
        expect(process_1.process("hello world")).toStrictEqual([
            [
                { source: "h", transformed: ["h"] },
                { source: "e", transformed: ["e"] },
                { source: "l", transformed: ["l"] },
                { source: "l", transformed: ["l"] },
                { source: "o", transformed: ["o"] }
            ],
            [
                { source: "w", transformed: ["w"] },
                { source: "o", transformed: ["o"] },
                { source: "r", transformed: ["r"] },
                { source: "l", transformed: ["l"] },
                { source: "d", transformed: ["d"] }
            ]
        ]);
    });
    test("handles template strings", function () {
        var processed = process_1.process("\n      hello world\n    ");
        expect(processed).toStrictEqual([
            [{ source: "\n", transformed: ["\n"] }],
            [
                { source: "h", transformed: ["h"] },
                { source: "e", transformed: ["e"] },
                { source: "l", transformed: ["l"] },
                { source: "l", transformed: ["l"] },
                { source: "o", transformed: ["o"] }
            ],
            [
                { source: "w", transformed: ["w"] },
                { source: "o", transformed: ["o"] },
                { source: "r", transformed: ["r"] },
                { source: "l", transformed: ["l"] },
                { source: "d", transformed: ["d"] },
                { source: "\n", transformed: ["\n"] }
            ]
        ]);
    });
});
